# Generated by Django 4.0.3 on 2022-09-13 17:34

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sales_rest', '0004_remove_automobilevo_model_automobilevo_import_href_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Sale',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('automobile', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='automobiles', to='sales_rest.automobilevo')),
                ('customer', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='customers', to='sales_rest.customer')),
                ('salesperson', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='salespersons', to='sales_rest.salesperson')),
            ],
        ),
    ]
